package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjDcfxTsyx;

/**
 * 设计-地层分析-特殊岩性提示Mapper接口
 * 
 * @author
 * @date 2025-08-08
 */
public interface SjDcfxTsyxMapper 
{
    /**
     * 查询设计-地层分析-特殊岩性提示
     * 
     * @param id 设计-地层分析-特殊岩性提示主键
     * @return 设计-地层分析-特殊岩性提示
     */
    public SjDcfxTsyx selectSjDcfxTsyxById(Long id);

    /**
     * 查询设计-地层分析-特殊岩性提示列表
     * 
     * @param sjDcfxTsyx 设计-地层分析-特殊岩性提示
     * @return 设计-地层分析-特殊岩性提示集合
     */
    public List<SjDcfxTsyx> selectSjDcfxTsyxList(SjDcfxTsyx sjDcfxTsyx);

    /**
     * 新增设计-地层分析-特殊岩性提示
     * 
     * @param sjDcfxTsyx 设计-地层分析-特殊岩性提示
     * @return 结果
     */
    public int insertSjDcfxTsyx(SjDcfxTsyx sjDcfxTsyx);

    /**
     * 修改设计-地层分析-特殊岩性提示
     * 
     * @param sjDcfxTsyx 设计-地层分析-特殊岩性提示
     * @return 结果
     */
    public int updateSjDcfxTsyx(SjDcfxTsyx sjDcfxTsyx);

    /**
     * 删除设计-地层分析-特殊岩性提示
     * 
     * @param id 设计-地层分析-特殊岩性提示主键
     * @return 结果
     */
    public int deleteSjDcfxTsyxById(Long id);

    /**
     * 批量删除设计-地层分析-特殊岩性提示
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjDcfxTsyxByIds(Long[] ids);

    int deleteSjDcfxTsyxByJh(String jh);

    int insertSjDcfxTsyxBatch(List<SjDcfxTsyx> sjDcfxTsyxList);

}
